Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.configuration
Interface JMSDestinationMBean

All Known Subinterfaces:
  JMSQueueMBean, JMSTopicMBean

public interface JMSDestinationMBean
extends JMSDestCommonMBean, JMSConstants

This class represents a JMS destination, which identifies a queue (Point-To-Point) or a topic (Pub/Sub) for a JMS server.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.management.configuration.JMSConstants
`ACKNOWLEDGE_ALL, ACKNOWLEDGE_MODE_AUTO, ACKNOWLEDGE_MODE_CLIENT, ACKNOWLEDGE_MODE_DUPS_OK, ACKNOWLEDGE_MODE_NONE, ACKNOWLEDGE_ONE, ACKNOWLEDGE_PREVIOUS, DESTINATION_TYPE_QUEUE, DESTINATION_TYPE_TOPIC, DISCARD, ENABLED_DEFAULT, ENABLED_FALSE, ENABLED_TRUE, ERRORDESTINATION, FIFO, KEEP_NEW, KEEP_OLD, KEY_DIRECTION_ASCENDING, KEY_DIRECTION_DESCENDING, KEY_TYPE_BOOLEAN, KEY_TYPE_BYTE, KEY_TYPE_DOUBLE, KEY_TYPE_FLOAT, KEY_TYPE_INT, KEY_TYPE_LONG, KEY_TYPE_SHORT, KEY_TYPE_STRING, LOGGING, NO_DELIVERY, NON_PERSISTENT, PERSISTENT, PREEMPTIVE, PRIORITY_DEFAULT, PRIORITY_MAXIMUM, PRIORITY_MINIMUM, RANDOM, ROUND_ROBIN, SEND_QUOTA_BLOCKING_TIMEOUT, STORE_ENABLED_DEFAULT, STORE_ENABLED_FALSE, STORE_ENABLED_TRUE, STORE_TYPE_FILE, STORE_TYPE_JDBC, SYNCWRITE_CACHEFLUSH, SYNCWRITE_DIRECTWRITE, SYNCWRITE_DISABLED, TRANSACTION_MODE_51, TRANSACTION_MODE_NONE, TRANSACTION_MODE_XA`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Fields inherited from class weblogic.management.configuration.JMSConstants
`ACKNOWLEDGE_ALL, ACKNOWLEDGE_MODE_AUTO, ACKNOWLEDGE_MODE_CLIENT, ACKNOWLEDGE_MODE_DUPS_OK, ACKNOWLEDGE_MODE_NONE, ACKNOWLEDGE_ONE, ACKNOWLEDGE_PREVIOUS, DESTINATION_TYPE_QUEUE, DESTINATION_TYPE_TOPIC, DISCARD, ENABLED_DEFAULT, ENABLED_FALSE, ENABLED_TRUE, ERRORDESTINATION, FIFO, KEEP_NEW, KEEP_OLD, KEY_DIRECTION_ASCENDING, KEY_DIRECTION_DESCENDING, KEY_TYPE_BOOLEAN, KEY_TYPE_BYTE, KEY_TYPE_DOUBLE, KEY_TYPE_FLOAT, KEY_TYPE_INT, KEY_TYPE_LONG, KEY_TYPE_SHORT, KEY_TYPE_STRING, LOGGING, NO_DELIVERY, NON_PERSISTENT, PERSISTENT, PREEMPTIVE, PRIORITY_DEFAULT, PRIORITY_MAXIMUM, PRIORITY_MINIMUM, RANDOM, ROUND_ROBIN, SEND_QUOTA_BLOCKING_TIMEOUT, STORE_ENABLED_DEFAULT, STORE_ENABLED_FALSE, STORE_ENABLED_TRUE, STORE_TYPE_FILE, STORE_TYPE_JDBC, SYNCWRITE_CACHEFLUSH, SYNCWRITE_DIRECTWRITE, SYNCWRITE_DISABLED, TRANSACTION_MODE_51, TRANSACTION_MODE_NONE, TRANSACTION_MODE_XA`

Method Summary
`java.lang.String` | `getBytesPagingEnabled()` Specifies whether bytes paging is enabled on the destination for temporarily swapping message bodies out from memory to a persistent paging store when the destination's message load reaches a specified bytes/messages threshold.
`java.lang.String` | `getJNDIName()` The JNDI name used to look up the destination within the JNDI namespace.
`java.lang.String` | `getMessagesPagingEnabled()` Specifies whether messages paging is enabled on the destination for temporarily swapping message bodies out from memory to a persistent paging store when the destination's message load reaches a specified bytes/messages threshold.
`java.lang.String` | `getStoreEnabled()` Specifies whether the destination supports persistent messaging by using the JMS store specified by the JMS server.
`JMSTemplateMBean` | `getTemplate()` The JMS template from which the destination is derived.
`boolean` | `isJNDINameReplicated()` If JNDINameReplicated is set to true, then the JNDI name for the destination (if present) is replicated across the cluster.
`void` | `setBytesPagingEnabled(java.lang.String enabled)` Specifies whether bytes paging is enabled on the destination for temporarily swapping message bodies out from memory to a persistent paging store when the destination's message load reaches a specified bytes/messages threshold.
`void` | `setJNDIName(java.lang.String name)` The JNDI name used to look up the destination within the JNDI namespace.
`void` | `setJNDINameReplicated(boolean replicated)` If JNDINameReplicated is set to true, then the JNDI name for the destination (if present) is replicated across the cluster.
`void` | `setMessagesPagingEnabled(java.lang.String enabled)` Specifies whether messages paging is enabled on the destination for temporarily swapping message bodies out from memory to persistent paging store when the destination's message load reaches a specified bytes/messages threshold.
`void` | `setStoreEnabled(java.lang.String storeEnabled)` Specifies whether the destination supports persistent messaging by using the JMS store specified by the JMS server.
`void` | `setTemplate(JMSTemplateMBean template)` The JMS template from which the destination is derived.

Methods inherited from interface weblogic.management.configuration.JMSDestCommonMBean
`addDestinationKey, getBytesMaximum, getBytesThresholdHigh, getBytesThresholdLow, getDeliveryModeOverride, getDestinationKeys, getErrorDestination, getExpirationLoggingPolicy, getExpirationPolicy, getMaximumMessageSize, getMessagesMaximum, getMessagesThresholdHigh, getMessagesThresholdLow, getPriorityOverride, getRedeliveryDelayOverride, getRedeliveryLimit, getTimeToDeliverOverride, getTimeToLiveOverride, removeDestinationKey, setBytesMaximum, setBytesThresholdHigh, setBytesThresholdLow, setCreationTime, setDeliveryModeOverride, setDestinationKeys, setErrorDestination, setExpirationLoggingPolicy, setExpirationPolicy, setMaximumMessageSize, setMessagesMaximum, setMessagesThresholdHigh, setMessagesThresholdLow, setPriorityOverride, setRedeliveryDelayOverride, setRedeliveryLimit, setTimeToDeliverOverride, setTimeToLiveOverride`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getNotes, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getTemplate

    public JMSTemplateMBean getTemplate()

  The JMS template from which the destination is derived.

  If a JMS template is specified, destination attributes that are set to their default values will inherit their values from the JMS template at run time. However, if this attribute is not defined, then the attributes for the destination must be specified as part of the destination.

  The Template attribute setting per destination is static. The JMS template's attributes, however, can be modified dynamically.

### setTemplate

    public void setTemplate(JMSTemplateMBean template)
                     throws javax.management.InvalidAttributeValueException

  The JMS template from which the destination is derived.

  If a JMS template is specified, destination attributes that are set to their default values will inherit their values from the JMS template at run time. However, if this attribute is not defined, then the attributes for the destination must be specified as part of the destination.

  The Template attribute setting per destination is static. The JMS template's attributes, however, can be modified dynamically.

### getJNDIName

    public java.lang.String getJNDIName()

  The JNDI name used to look up the destination within the JNDI namespace. If not specified, the destination name is not advertised through the JNDI namespace and cannot be looked up and used.

  This attribute is not dynamically configurable.

### setJNDIName

    public void setJNDIName(java.lang.String name)
                     throws javax.management.InvalidAttributeValueException

  The JNDI name used to look up the destination within the JNDI namespace. If not specified, the destination name is not advertised through the JNDI namespace and cannot be looked up and used.

  This attribute is not dynamically configurable.

### isJNDINameReplicated

    public boolean isJNDINameReplicated()

  If JNDINameReplicated is set to true, then the JNDI name for the destination (if present) is replicated across the cluster. If JNDINameReplicated is set to false, then the JNDI name for the destination (if present) is only visible from the server of which this destination is a part. Note: Do not set this parameter to false if you are using message-driven beans (MDBs) with distributed topics in a cluster. MDBs require JNDI names to look up JMS destinations. Therefore, if a topic is remote (e.g., distributed on other servers in a cluster), and the JNDI name replication is disabled, then the MDBs will not be able to look up the remote topics.

### setJNDINameReplicated

    public void setJNDINameReplicated(boolean replicated)
                               throws javax.management.InvalidAttributeValueException

  If JNDINameReplicated is set to true, then the JNDI name for the destination (if present) is replicated across the cluster. If JNDINameReplicated is set to false, then the JNDI name for the destination (if present) is only visible from the server of which this destination is a part.

  Default Value: true

### getStoreEnabled

    public java.lang.String getStoreEnabled()

  Specifies whether the destination supports persistent messaging by using the JMS store specified by the JMS server.

  - default - The destination uses the JMS store defined for the JMS server--if one is defined--and supports persistent messaging. However, if a JMS store is not defined for the JMS server, then persistent messages are automatically downgraded to non-persistent.

  - false - The destination does not support persistent messaging.

  - true - The destination does support persistent messaging. However, if a JMS store is not defined for the JMS server, then the configuration will fail and the JMS server will not boot.

  This attribute is not dynamically configurable.

### setStoreEnabled

    public void setStoreEnabled(java.lang.String storeEnabled)
                         throws javax.management.InvalidAttributeValueException

  Specifies whether the destination supports persistent messaging by using the JMS store specified by the JMS server.

  - default - The destination uses the JMS store defined for the JMS server--if one is defined--and supports persistent messaging. However, if a JMS store is not defined for the JMS server, then persistent messages are automatically downgraded to non-persistent.

  - false - The destination does not support persistent messaging.

  - true - The destination does support persistent messaging. However, if a JMS store is not defined for the JMS server, then the configuration will fail and the JMS server will not boot.

  This attribute is not dynamically configurable.

  Default Value: JMSConstants.ENABLED_DEFAULT
  Legal Values: JMSConstants.ENABLED_DEFAULT,JMSConstants.ENABLED_FALSE,JMSConstants.ENABLED_TRUE

### getMessagesPagingEnabled

    public java.lang.String getMessagesPagingEnabled()

  Specifies whether messages paging is enabled on the destination for temporarily swapping message bodies out from memory to a persistent paging store when the destination's message load reaches a specified bytes/messages threshold.

  - default - If a JMS template is specified, then this value inherits the template's Messages Paging value. If no JMS template is configured for the destination, then the Default value is equivalent to false.

  - false - Messages paging is explicitly disabled for this destination.

  - true - If a paging store has been configured for the JMS server, and both the MessagesThresholdLow and MessagesThresholdHigh attribute values are greater than -1, then messages paging is enabled for this destination.

### setMessagesPagingEnabled

    public void setMessagesPagingEnabled(java.lang.String enabled)
                                  throws javax.management.InvalidAttributeValueException

  Specifies whether messages paging is enabled on the destination for temporarily swapping message bodies out from memory to persistent paging store when the destination's message load reaches a specified bytes/messages threshold.

  - default - If a JMS template is specified, then this value inherits the template's Messages Paging value. If no JMS template is configured for the destination, then the Default value is equivalent to false.

  - false - Messages paging is explicitly disabled for this destination.

  - true - If a paging store has been configured for the JMS server, and both the MessagesThresholdLow and MessagesThresholdHigh attribute values are greater than -1, then messages paging is enabled for this destination.

  Default Value: JMSConstants.ENABLED_DEFAULT
  Legal Values: JMSConstants.ENABLED_DEFAULT,JMSConstants.ENABLED_FALSE,JMSConstants.ENABLED_TRUE

### getBytesPagingEnabled

    public java.lang.String getBytesPagingEnabled()

  Specifies whether bytes paging is enabled on the destination for temporarily swapping message bodies out from memory to a persistent paging store when the destination's message load reaches a specified bytes/messages threshold.

  - default - If a JMS template is specified, then this value inherits the template's Bytes Paging value. If no JMS template is configured for the destination, then the Default value is equivalent to false.

  - false - Bytes paging is explicitly disabled for this destination.

  - true - If a paging store has been configured for the JMS server, and both the BytesThresholdLow and BytesThresholdHigh attribute values are greater than -1, then bytes paging is enabled for this destination.

### setBytesPagingEnabled

    public void setBytesPagingEnabled(java.lang.String enabled)
                               throws javax.management.InvalidAttributeValueException

  Specifies whether bytes paging is enabled on the destination for temporarily swapping message bodies out from memory to a persistent paging store when the destination's message load reaches a specified bytes/messages threshold.

  - default - If a JMS template is specified, then this value inherits the template's Bytes Paging value. If no JMS template is configured for the destination, then the Default value is equivalent to false.

  - false - Bytes paging is explicitly disabled for this destination.

  - true - If a paging store has been configured for the JMS server, and both the BytesThresholdLow and BytesThresholdHigh attribute values are greater than -1, then bytes paging is enabled for this destination.

  Default Value: JMSConstants.ENABLED_DEFAULT
  Legal Values: JMSConstants.ENABLED_DEFAULT,JMSConstants.ENABLED_FALSE,JMSConstants.ENABLED_TRUE

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD